{ lib
, pkgs
, config
, nixpkgs
, osConfig ? { }
, format ? "unknown"
, ...
}:
{
  # Home Manager needs a bit of information about you and the paths it should
  # manage.
  home.username = "harald";
  home.homeDirectory = "/home/${config.home.username}/nix";
  home.stateVersion = "23.11"; # Please read the comment before changing.
  home.sessionPath = [ "$HOME/bin" ];

  plusultra = {
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = true;
      tmux.enable = true;
      bat.enable = true;
      git.enable = true;
      starship.enable = true;
      home-manager.enable = true;

    };
    tools = {
      direnv.enable = true;
      jetbrains.enable = true;
    };
  };

  fonts.fontconfig.enable = true;
}

